Page MenuHomePhabricator

Save changes made using the Termbox
Closed, ResolvedPublic

Description

  • trigger a save action from the save button
  • add a save action to the entity store module
  • within the action
    • if necessary, convert the store state to the format expected by wbeditentity
    • make a request against wbeditentity with the edited data
  • switch back to reading mode
  • sending and updating the base revision id is not part of this task => T218578

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 18 2019, 2:23 PM
Jakob_WMDE updated the task description. (Show Details)Mar 18 2019, 2:24 PM
Jakob_WMDE updated the task description. (Show Details)Mar 18 2019, 2:32 PM
Jakob_WMDE moved this task from To Do to Doing on the Wikidata-Termbox-Iteration-11 board.

Change 497548 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] Add action for saving labels, descriptions and aliases of an entity

https://gerrit.wikimedia.org/r/497548

Change 497819 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] Introduce a request interceptor for API requests needing CSRF tokens

https://gerrit.wikimedia.org/r/497819

Change 498374 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] Introduce a request interceptor for API requests needing CSRF tokens

https://gerrit.wikimedia.org/r/498374

Change 498435 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Make mw.config.values.wbRepo accessible on mobile

https://gerrit.wikimedia.org/r/498435

Change 499000 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[wikibase/termbox@master] mockup-entry: add origin param to dev API calls

https://gerrit.wikimedia.org/r/499000

Change 499178 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] Provide Wikibase URL in dev view for API requests

https://gerrit.wikimedia.org/r/499178

Change 497819 merged by jenkins-bot:
[wikibase/termbox@master] Transform post request payload to FormData object

https://gerrit.wikimedia.org/r/497819

Change 498374 merged by jenkins-bot:
[wikibase/termbox@master] Introduce a request interceptor for API requests needing CSRF tokens

https://gerrit.wikimedia.org/r/498374

Change 499000 merged by jenkins-bot:
[wikibase/termbox@master] mockup-entry: add origin param to dev API calls

https://gerrit.wikimedia.org/r/499000

Change 499178 merged by jenkins-bot:
[wikibase/termbox@master] Provide Wikibase URL in dev view for API requests

https://gerrit.wikimedia.org/r/499178

Change 498435 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Make mw.config.values.wbRepo accessible on mobile

https://gerrit.wikimedia.org/r/498435

Change 497548 merged by jenkins-bot:
[wikibase/termbox@master] Add action for saving labels, descriptions and aliases of an entity

https://gerrit.wikimedia.org/r/497548

Pablo-WMDE updated the task description. (Show Details)Mar 28 2019, 12:38 PM
Pablo-WMDE closed this task as Resolved.Apr 8 2019, 10:39 AM